Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.AspectRatioMode

    java.lang.Object
      java.lang.Enum<Qt.AspectRatioMode>
          com.trolltech.qt.core.Qt.AspectRatioMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.AspectRatioMode>

Enclosing interface:
  Qt

    public static enum Qt.AspectRatioMode

extends java.lang.Enum<Qt.AspectRatioMode>
implements QtEnumerator

This enum type defines what happens to the aspect ratio when scaling an rectangle.

See Also:
  `QSize::scale`, `QImage::scaled`

Enum Constant Summary
`IgnoreAspectRatio` The size is scaled freely.
`KeepAspectRatio` The size is scaled to a rectangle as large as possible inside a given rectangle, preserving the aspect ratio.
`KeepAspectRatioByExpanding` The size is scaled to a rectangle as small as possible outside a given rectangle, preserving the aspect ratio.

Method Summary
`static Qt.AspectRatioMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.AspectRatioMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.AspectRatioMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IgnoreAspectRatio

    public static final Qt.AspectRatioMode IgnoreAspectRatio

  The size is scaled freely. The aspect ratio is not preserved.

### KeepAspectRatio

    public static final Qt.AspectRatioMode KeepAspectRatio

  The size is scaled to a rectangle as large as possible inside a given rectangle, preserving the aspect ratio.

### KeepAspectRatioByExpanding

    public static final Qt.AspectRatioMode KeepAspectRatioByExpanding

  The size is scaled to a rectangle as small as possible outside a given rectangle, preserving the aspect ratio.

Method Detail

### values

    public static final Qt.AspectRatioMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.AspectRatioMode c : Qt.AspectRatioMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.AspectRatioMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.AspectRatioMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD